Bug 13472 - randr: Xrandr shows unsupported mode
Summary: randr: Xrandr shows unsupported mode
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/radeonhd (show other bugs)
Version: 7.3 (2007.09)
Hardware: Other All
: medium normal
Assignee: Matthias Hopf
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-30 12:42 UTC by Thomas Meyer
Modified: 2008-05-20 02:22 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
x log verbose 7 (91.93 KB, text/plain)
2007-11-30 12:43 UTC, Thomas Meyer
no flags Details

Description Thomas Meyer 2007-11-30 12:42:53 UTC
External monitor detected is:
(II) RADEONHD(0): I2C device "RHD I2C line 0:ddc2" registered at address 0xA0.
(II) RADEONHD(0): EDID data for L72D DVI
(II) RADEONHD(0): Manufacturer: HIQ  Model: 5003  Serial#: 20060124
(II) RADEONHD(0): Year: 2006  Week: 4
(II) RADEONHD(0): EDID Version: 1.3
(II) RADEONHD(0): Digital Display Input
(II) RADEONHD(0): Max H-Image Size [cm]: horiz.: 33  vert.: 27
(II) RADEONHD(0): Gamma: 2.20
(II) RADEONHD(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEONHD(0): First detailed timing is preferred mode
(II) RADEONHD(0): redX: 0.650 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) RADEONHD(0): blueX: 0.150 blueY: 0.080   whiteX: 0.313 whiteY: 0.329
(II) RADEONHD(0): Supported VESA Video Modes:
(II) RADEONHD(0): 640x480@60Hz
(II) RADEONHD(0): 800x600@60Hz
(II) RADEONHD(0): 1024x768@60Hz
(II) RADEONHD(0): Manufacturer's mask: 0
(II) RADEONHD(0): Supported Future Video Modes:
(II) RADEONHD(0): #0: hsize: 640  vsize 480  refresh: 60  vid: 16433
(II) RADEONHD(0): #1: hsize: 800  vsize 600  refresh: 60  vid: 16453
(II) RADEONHD(0): #2: hsize: 1024  vsize 768  refresh: 60  vid: 16481
(II) RADEONHD(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) RADEONHD(0): Supported additional Video Mode:
(II) RADEONHD(0): clock: 108.0 MHz   Image Size:  330 x 270 mm
(II) RADEONHD(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688 h_border: 0
(II) RADEONHD(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066 v_border: 0
(II) RADEONHD(0): Supported additional Video Mode:
(II) RADEONHD(0): clock: 40.0 MHz   Image Size:  330 x 270 mm
(II) RADEONHD(0): h_active: 800  h_sync: 840  h_sync_end 968 h_blank_end 1056 h_border: 0
(II) RADEONHD(0): v_active: 600  v_sync: 601  v_sync_end 605 v_blanking: 628 v_border: 0
(II) RADEONHD(0): Ranges: V min: 59  V max: 61 Hz, H min: 31  H max: 67 kHz,
(II) RADEONHD(0): Monitor name: L72D DVI
(II) RADEONHD(0): EDID (in hex):
(II) RADEONHD(0):       00ffffffffffff0021310350dc173201
(II) RADEONHD(0):       0410010380211b78eaaea5a6544c9926
(II) RADEONHD(0):       14505421080031404540614081800101
(II) RADEONHD(0):       010101010101302a009851002a403070
(II) RADEONHD(0):       13004a0e1100001ea00f200031581c20
(II) RADEONHD(0):       288014004a0e1100001e000000fd003b
(II) RADEONHD(0):       3d1f43ff000a202020202020000000fc
(II) RADEONHD(0):       004c373244204456490a20202020004c

but xrandr shows:
$ xrandr -q
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 1600 x 1600
PANEL connected
   1440x900       60.0 +
DVI-I_1/analog disconnected
DVI-I_1/digital connected 1280x1024+0+0 330mm x 270mm
   1280x1024      60.0*+   59.9     60.0*
   1600x1024      60.0
   1280x960       60.0
   1024x768       60.0     59.8
   800x600        60.3     59.9
   640x480        60.0     59.9

where does the mode 1600x1024 come from?
Comment 1 Thomas Meyer 2007-11-30 12:43:47 UTC
Created attachment 12882 [details]
x log verbose 7
Comment 2 Matthias Hopf 2007-12-12 06:13:28 UTC
The monitors I can test here report too many modes, so I don't see this issue here.
Can you comment the xf86OutputSetEDID call in rhd_randr.c:834 and test whether this changes anything (appart from the monitor size not being set correctly any more)?
Comment 3 Benjamin Close 2008-01-11 02:38:54 UTC
Bugzilla Upgrade Mass Bug Change

NEEDSINFO state was removed in Bugzilla 3.x, reopening any bugs previously listed as NEEDSINFO.

  - benjsc
    fd.o Wrangler
Comment 4 Matthias Hopf 2008-04-10 13:45:00 UTC
Ping?
Comment 5 Luc Verhaegen 2008-05-19 15:06:38 UTC
Matthias, could this have been fixed by this DuplicateModes fix as well?
Comment 6 Matthias Hopf 2008-05-20 02:22:10 UTC
Sounds very much like it. Given that the reporter died shortly after his initial bugreport, I close this as FIXED.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.